package de.hsbo.fbv.bmg.geometry.simple;

import java.awt.geom.Path2D;

import de.hsbo.fbv.ogc.geometry.simple.LinearRing;

/**
 * Implementierung des Interface LinearRing auf Basis der Klassenbibliothek Java
 * Topology Suite (JTS) 1.10 der Fa. VividSolutions.<br>
 * (C) siehe Lizenzen von Geotools <br>
 * 
 * @author A.Zimmermann, HS Bochum, 2011
 * @version 0.5
 */
public class GLinearRing extends GLineString implements LinearRing {

	/**
	 * Konstruktor
	 * @param coords
	 * @throws Exception
	 */
	public GLinearRing(CoordinateM[] coords) throws Exception {
		super(coords);
		if (!this.isRing())
			throw new Exception("Object not valid!");
		((Path2D) this.shape).closePath();
	}

	/**
	 * Konstruktor
	 * @param points
	 * @throws Exception
	 */
	public GLinearRing(GPoint[] points) throws Exception {
		super(points);
		if (!this.isRing())
			throw new Exception("Object not valid!");
		((Path2D) this.shape).closePath();
	}

	/**
	 * Konvertiert dieses Objekt in ein LinearRing-Objekt der Java Topology Suite.
	 * @return
	 */
	public com.vividsolutions.jts.geom.LinearRing toJtsLinearRing() {
		return GeoModel.FACTORY.createLinearRing(this.getJtsLineString()
				.getCoordinates());
	}

}
