package de.hsbo.fbv.bmg.geometry.simple;

import de.hsbo.fbv.ogc.geometry.simple.Geometry;
import de.hsbo.fbv.ogc.geometry.simple.MultiLineString;

/**
 * Implementierung des Interface LineString auf Basis der Klassenbibliothek Java
 * Topology Suite (JTS) 1.10 der Fa. VividSolutions.<br>
 * (C) siehe Lizenzen von Geotools <br>
 * 
 * @author A.Zimmermann, HS Bochum, 2011
 * @version 0.5
 */
public class GMultiLineString extends GGeometryCollection implements
		MultiLineString {

	/**
	 * Konstruktor
	 * @param geoms
	 * @throws Exception
	 */
	public GMultiLineString(GLineString[] geoms) throws Exception {
		super(geoms);
		com.vividsolutions.jts.geom.LineString[] jtsgeoms = new com.vividsolutions.jts.geom.LineString[geoms.length];
		for (int i = 0; i < geoms.length; i++) {
			jtsgeoms[i] = (com.vividsolutions.jts.geom.LineString) geoms[i]
					.getJtsLineString();
			if (!jtsgeoms[i].isValid())
				throw new Exception("Object " + i + " is not valid!");
		}
		this.jtsGeomColl = GeoModel.FACTORY.createMultiLineString(jtsgeoms);
	}

	@Override
	public com.vividsolutions.jts.geom.MultiLineString toJtsGeom() {
		return (com.vividsolutions.jts.geom.MultiLineString) this.jtsGeomColl;
	}

	/**
	 * Gibt das Delegat-Objekt zurck.<br>
	 * Achtung: Das Objekt kann unbeabsichtigt verndert werden!
	 * @return
	 */
	public com.vividsolutions.jts.geom.MultiLineString getjtsGeomColl() {
		return (com.vividsolutions.jts.geom.MultiLineString) jtsGeomColl;
	}

	@Override
	public boolean isClosed() {
		return ((com.vividsolutions.jts.geom.MultiLineString) this.jtsGeomColl)
				.isClosed();
	}

	@Override
	public double length() {
		return ((com.vividsolutions.jts.geom.MultiLineString) this.jtsGeomColl)
				.getLength();
	}

	/** Noch nicht implementiert! */
	@Override
	public Geometry locateAlong(double arg0) {
		try {
			throw new Exception("not yet implemented");
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	/** Noch nicht implementiert! */
	@Override
	public Geometry locateBetween(double arg0, double arg1) {
		try {
			throw new Exception("not yet implemented");
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

}
