package de.hsbo.fbv.bmg.geometry.simple.buch;
import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.GeometryFactory;
import com.vividsolutions.jts.geom.LineString;
import com.vividsolutions.jts.geom.LinearRing;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;

/**
 * Diese Testklasse demonstriert die Verwendung von Klassen der
 * Java Topology Suite (JTS).
 * @author A.Zimmermann, HS Bochum, 2011
 *
 */
public class JTS_Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		// Koordinatenfeld anlegen
		int n = 4;
		Coordinate[] coords = new Coordinate[n];
		for(int i=0; i<n-1; i++) {
			coords[i] = new Coordinate(
					Math.random()*1000, Math.random()*1000);
		}
		coords[n-1] = coords[0];
		
		// Fabrik anlegen ohne spezielle Eigenschaften
		GeometryFactory factory = new GeometryFactory();
			
		// Punkte anlegen
		for(int i=0; i<n; i++) {
			Point p = factory.createPoint(coords[i]);
			System.out.println(p);
		}
		
		// LineString anlegen
		LineString l = factory.createLineString(coords);
		System.out.println(l);
		
		// Polygon anlegen
		LinearRing lr = factory.createLinearRing(coords);
		Polygon pl = factory.createPolygon(lr, null);
		System.out.println(pl);
	}

}
