package de.hsbo.fbv.bmg.geometry.simple.collections;


import java.util.ArrayList;
import java.util.Arrays;

import de.hsbo.fbv.bmg.geometry.simple.GPoint;


/**
 * Hilfsklasse zur Behandlung von Punkten als geordnete Listen.<br>
 * Punkt-Dupikate werden akzeptiert. Die Reihenfolge der Punkte wird vom  
 * Benutzer kontrolliert. Die Klasse dient primr dazu, neue Punkte einzufgen 
 * oder bestehende zu entfernen. Sie eignet sich insbesondere dazu, die Sttzpunkte
 * von Streckenzgen (Begrenzungslinien) zu bearbeiten. 
 * @author A.Zimmermann, HS Bochum, 2011
 *
 */
public class GPointList extends ArrayList<GPoint> {
	
	/**
	 * Standardkonstruktor
	 */
	public GPointList() {}
	
	/**
	 * Konstruktor mit bernahme eines Punktfeldes.
	 * @param array
	 */
	public GPointList(GPoint[] array) {
		this.addAll(Arrays.asList(array));
	}
	
	@Override
	public GPoint[] toArray() {
		GPoint[] res = new GPoint[this.size()];
		return this.toArray(res);		
	}
}
