package de.hsbo.fbv.bmg.geometry.simple.collections;


import java.util.Arrays;
import java.util.HashSet;

import de.hsbo.fbv.bmg.geometry.simple.GPoint;


/**
 * Hilfsklasse zur Behandlung von Punkten als Mengen.<br>
 * Punkt-Dupikate werden abgewiesen. Die Reihenfolge der Punkte ist 
 * nicht kontrollierbar. Die Klasse dient primr dazu, neue Punkte einzufgen 
 * oder bestehende zu entfernen. Sie eignet sich insbesondere dazu, eine Menge 
 * wahlfrei verstreuter Punkte zu bearbeiten. 
 * @author zimmermann
 *
 */
public class GPointSet extends HashSet<GPoint> {
	
	/**
	 * Standardkonstruktor
	 */
	public GPointSet() {}
	
	/**
	 * Konstruktor mit bernahme eines Punktfeldes.
	 * @param array
	 */
	public GPointSet(GPoint[] array) {
		this.addAll(Arrays.asList(array));
	}

	@Override
	public GPoint[] toArray() {
		GPoint[] res = new GPoint[this.size()];
		return this.toArray(res);
	}
	
}
