package de.hsbo.fbv.bmg.geometry.simple.demos;

import de.hsbo.fbv.bmg.geometry.simple.CoordinateM;
import de.hsbo.fbv.bmg.geometry.simple.GLine;
import de.hsbo.fbv.bmg.geometry.simple.GeoModel;

public class LineIntersectionTest {
	
	public static void main(String[] args) {
		
		// Ausgangs-Liniensegement
		GLine l0 = GeoModel.createLine(new CoordinateM(100,100), new CoordinateM(200,100));
		System.out.println(l0);
		
		// Erstes Liniensegement - Schnittpunkt (
		GLine l1 = GeoModel.createLine(new CoordinateM(200,0), new CoordinateM(200,200));
		System.out.println(l1);
		System.out.println("Schnitt: "+l0.intersection(l1));
		System.out.println("Schnitt: "+l0.intersection(l1).geometryType());
		
		// Zweites Liniensegement - Identischer Punkt
		GLine l2 = GeoModel.createLine(new CoordinateM(100,100), new CoordinateM(200,200));
		System.out.println(l2);
		System.out.println("Schnitt: "+l0.intersection(l2));
		
		// Drittes Liniensegement - Berhrungspunkt
		GLine l3 = GeoModel.createLine(new CoordinateM(100,100), new CoordinateM(130,100));
		System.out.println(l3);
		System.out.println("Schnitt: "+l0.intersection(l3));
		
		// Viertes Liniensegement - Identisches Segment
		GLine l4 = GeoModel.createLine(new CoordinateM(100,100), new CoordinateM(200,100));
		System.out.println(l4);
		System.out.println("Schnitt: "+l0.intersection(l4));
		System.out.println("Schnitt: "+l0.intersection(l4).geometryType());
		System.out.println("Lage: "+l4.startPoint().within(l0));
		System.out.println("Lage: "+l4.startPoint().touches(l0));
		
		
		// Fnftes Liniensegement - Teilsegment
		GLine l5 = GeoModel.createLine(new CoordinateM(120,100), new CoordinateM(170,100));
		System.out.println(l5);
		System.out.println("Schnitt: "+l0.intersection(l5));
		
		// Sechstes Liniensegement - berlappendes Segment
		GLine l6 = GeoModel.createLine(new CoordinateM(120,100), new CoordinateM(270,100));
		System.out.println(l6);
		System.out.println("Schnitt: "+l0.intersection(l6));
		System.out.println("Lage: "+l6.startPoint().within(l0));
		System.out.println("Lage: "+l6.endPoint().within(l0));
		
		
		
		
		
		
	}

}
