package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Kollektion (Menge) geometrischer Objekte. Ihre Anordnung oder innere Struktur ist 
 * nicht festgelegt.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface GeometryCollection extends Geometry {
	
	/**
	 * Gibt die Anzahl der enthaltenen geometrischen Objekte an.
	 * @return :int
	 */
	public int numGeometries();
	
	/**
	 * Gibt das unter dem Index n gespeicherte geometrische Objekt zurck.
	 * @param n
	 * @return :Geometry
	 */
	public Geometry geometryN(int n);

}
