package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Streckenzug (Polygonzug) Die Sttzpunkte sind durch Strecken miteinander verbunden.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface LineString extends Curve {
	
	/**
	 * Gibt die Anzahl der enthaltenen Punkte an.
	 * @return :int
	 */
	public int numPoints();
	
	/**
	 * Gibt den unter dem Index n gespeicherten Punkt zurck.
	 * @param n
	 * @return :Geometry
	 */
	public Point pointN(int n);

}
