package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Kollection von Curve-Objekten, bzw. Menge eindimensionaler Geometrien, 
 * deren Elemente Curve-Objekte sind.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface MultiCurve extends GeometryCollection {
	
	/**
	 * Stellt fest, ob alle Elemente des MultiCurve-Objektes geschlossen sind.
	 * @return
	 */
	public boolean isClosed();
	
	/**
	 * Bestimmt die Summe der Lngen aller MultiCurve-Elemente.
	 * @return
	 */
	public double length();

}
