package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Kollektion von Surface-Objekten, bzw. zweidimensionenale Geometrie-Menge,
 * die aus Surface-Elementen besteht.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface MultiSurface extends GeometryCollection {
	
	/**
	 * Gibt die Flchensumme der enthaltenen Surface-Objekte an.
	 * @return
	 */
	public double area();
	
	/**
	 * Gibt den mathematischen Mittelpunkt des MultiSurface-Objektes an.
	 * @return
	 */
	public Point centroid();
	
	/**
	 * Gibt einen Punkt an, der garantiert auf dem Multisurface-Objekt liegt.
	 * @return
	 */
	public Point pointOnSurface();

}
