package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Eine zweidimensionales Objekt von Geometrie-Objekten.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface Polygon extends Surface {

	/**
	 * Gibt die uere Begrenzungslinie des Polygons zurck.
	 * @return
	 */
	public LinearRing exteriorRing();
	
	/**
	 * Gibt die Anzahl der inneren Begrenzungslinien (Inseln, Aussparungen) an. 
	 * @return
	 */
	public int numInteriorRing();
	
	/**
	 * Gibt die innere begrenzungslinie mit dem Index n an.
	 * @param n
	 * @return
	 */
	public LinearRing interiorRingN(int n);
}
