package de.hsbo.fbv.ogc.geometry.simple;

/**
 * Polyederoberflche, die sich deckungs- und lckenfrei aus aneinander angrenzenden 
 * Polygonen zusammensetzt.
 * @see Dokument OGC 06-103r3
 * @author (Open Geospatial Consortium Inc., OGC)
 * @version 1.2
 */
public interface PolyhedralSurface {
	
	/**
	 * Gibt die Anzahl der eingeschlossenen Polygonen (Flicken - Patches) zurck. 
	 * @return
	 */
	public int numPatches();
	
	/**
	 * Gibt das Polygon mit dem Index n zurck. - Die Reihenfolge ist beliebig.
	 * @param n
	 * @return
	 */
	public Polygon patchN(int n);
	
	/**
	 * Gibt die Polygone zurck, die an Polygon p angrenzen.
	 * @param p
	 * @return
	 */
	public MultiPolygon boundingPolygons(Polygon p);
	
	/**
	 * Gibt den Wert true (1) zurck, falls das Polyeder in sich geschlossen ist,
	 * und damit einen Krper umschliet.
	 * @return
	 */
	public boolean isClosed(); 

}
